"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TraderName = exports.Trader = exports.ObjectiveType = void 0;
var ObjectiveType;
(function (ObjectiveType) {
    ObjectiveType["Key"] = "key";
    ObjectiveType["Kill"] = "kill";
    ObjectiveType["Find"] = "find";
    ObjectiveType["Mark"] = "mark";
    ObjectiveType["Quest"] = "quest";
    ObjectiveType["Build"] = "build";
    ObjectiveType["Visit"] = "visit";
    ObjectiveType["Place"] = "place";
    ObjectiveType["Plant"] = "plant";
    ObjectiveType["Collect"] = "collect";
    ObjectiveType["Skill"] = "skill";
    ObjectiveType["Extract"] = "extract";
    ObjectiveType["Reputation"] = "reputation";
    ObjectiveType["Experience"] = "experience";
    ObjectiveType["TaskStatus"] = "taskStatus";
    ObjectiveType["PlayerLevel"] = "playerLevel";
})(ObjectiveType = exports.ObjectiveType || (exports.ObjectiveType = {}));
var Trader;
(function (Trader) {
    Trader[Trader["Prapor"] = 0] = "Prapor";
    Trader[Trader["Therapist"] = 1] = "Therapist";
    Trader[Trader["Skier"] = 2] = "Skier";
    Trader[Trader["Peacekeeper"] = 3] = "Peacekeeper";
    Trader[Trader["Mechanic"] = 4] = "Mechanic";
    Trader[Trader["Ragman"] = 5] = "Ragman";
    Trader[Trader["Jaeger"] = 6] = "Jaeger";
    Trader[Trader["Fence"] = 7] = "Fence";
})(Trader = exports.Trader || (exports.Trader = {}));
exports.TraderName = Object.freeze({
    [Trader.Prapor]: 'Prapor',
    [Trader.Therapist]: 'Therapist',
    [Trader.Skier]: 'Skier',
    [Trader.Peacekeeper]: 'Peacekeeper',
    [Trader.Mechanic]: 'Mechanic',
    [Trader.Ragman]: 'Ragman',
    [Trader.Jaeger]: 'Jaeger',
    [Trader.Fence]: 'Fence',
});
