import { Item } from '../types/items';
import { DataItem } from '../types/data';
export declare const isObject: (obj: unknown) => obj is {
    [key: string]: unknown;
};
export declare const isEmpty: (obj: unknown) => boolean;
export declare const isKey: (item: Item) => boolean;
export declare const isCurrency: (item: Item) => boolean;
export declare const isFIR: (item: DataItem) => boolean;
export declare const generateShortId: (index: number) => string;
export declare const withShortId: <T>(arr: T[]) => T[];
