import { ObjectiveType } from '../constants';
export declare type QuestObjective = {
    id: number;
    type: ObjectiveType;
    count?: number;
    target?: string;
    shotType?: string;
    description: string;
    locations: number[];
};
export declare type Quest = {
    id: string;
    giver: number;
    name: string;
    wiki: string;
    exp: number;
    shortId: string;
    objectives: QuestObjective[];
    require: {
        level: number;
        quests: string[];
    };
    children: Quest[];
    treeSize: number;
    depth: number;
};
